POST api/OrderPrice/SaveBatchDownload

Request Information

URI Parameters

None.

Body Parameters

Collection of EncounterDownloadZipReportDTO
NameDescriptionTypeAdditional information
CorporationCode

string

String length: inclusive between 0 and 8000

CaseNo

integer

None.

Id

integer

None.

RecordType

string

String length: inclusive between 0 and 8000

BatchId

integer

None.

KeyName

string

String length: inclusive between 0 and 250

EmailBody

string

String length: inclusive between 0 and 4000

ExportFileName

string

String length: inclusive between 0 and 100

SubjectLine

string

String length: inclusive between 0 and 200

Key

string

String length: inclusive between 0 and 8000

ReportType

integer

None.

IncludeCancelledServices

boolean

None.

IsDownloaded

boolean

None.

RecordTypeId

integer

None.

IsCreateDaisyBill

boolean

None.

IsAcumaticaRecord

boolean

None.

UniqueID

string

None.

AddOnType

boolean

None.

BatchType

integer

None.

Request Formats

application/json, text/json

Sample:
[
  {
    "CorporationCode": "sample string 1",
    "CaseNo": 2,
    "Id": 3,
    "RecordType": "sample string 4",
    "BatchId": 1,
    "KeyName": "sample string 5",
    "EmailBody": "sample string 6",
    "ExportFileName": "sample string 7",
    "SubjectLine": "sample string 8",
    "Key": "sample string 9",
    "ReportType": 1,
    "IncludeCancelledServices": true,
    "IsDownloaded": true,
    "RecordTypeId": 12,
    "IsCreateDaisyBill": true,
    "IsAcumaticaRecord": true,
    "UniqueID": "sample string 13",
    "AddOnType": true,
    "BatchType": 1
  },
  {
    "CorporationCode": "sample string 1",
    "CaseNo": 2,
    "Id": 3,
    "RecordType": "sample string 4",
    "BatchId": 1,
    "KeyName": "sample string 5",
    "EmailBody": "sample string 6",
    "ExportFileName": "sample string 7",
    "SubjectLine": "sample string 8",
    "Key": "sample string 9",
    "ReportType": 1,
    "IncludeCancelledServices": true,
    "IsDownloaded": true,
    "RecordTypeId": 12,
    "IsCreateDaisyBill": true,
    "IsAcumaticaRecord": true,
    "UniqueID": "sample string 13",
    "AddOnType": true,
    "BatchType": 1
  }
]

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

AsapResponseOfListOfEncounterDownloadZipReportDTO
NameDescriptionTypeAdditional information
isSuccess

boolean

None.

message

string

None.

jsonObj

Collection of EncounterDownloadZipReportDTO

None.

totalCount

integer

None.

Response Formats

application/json, text/json

Sample:
{
  "isSuccess": true,
  "message": "sample string 2",
  "jsonObj": [
    {
      "CorporationCode": "sample string 1",
      "CaseNo": 2,
      "Id": 3,
      "RecordType": "sample string 4",
      "BatchId": 1,
      "KeyName": "sample string 5",
      "EmailBody": "sample string 6",
      "ExportFileName": "sample string 7",
      "SubjectLine": "sample string 8",
      "Key": "sample string 9",
      "ReportType": 1,
      "IncludeCancelledServices": true,
      "IsDownloaded": true,
      "RecordTypeId": 12,
      "IsCreateDaisyBill": true,
      "IsAcumaticaRecord": true,
      "UniqueID": "sample string 13",
      "AddOnType": true,
      "BatchType": 1
    },
    {
      "CorporationCode": "sample string 1",
      "CaseNo": 2,
      "Id": 3,
      "RecordType": "sample string 4",
      "BatchId": 1,
      "KeyName": "sample string 5",
      "EmailBody": "sample string 6",
      "ExportFileName": "sample string 7",
      "SubjectLine": "sample string 8",
      "Key": "sample string 9",
      "ReportType": 1,
      "IncludeCancelledServices": true,
      "IsDownloaded": true,
      "RecordTypeId": 12,
      "IsCreateDaisyBill": true,
      "IsAcumaticaRecord": true,
      "UniqueID": "sample string 13",
      "AddOnType": true,
      "BatchType": 1
    }
  ],
  "totalCount": 3
}